Submit onboarding data
Submit onboarding data for applicants to pre-fill their Mercury application
Authentication
AuthorizationBearer
Bearer token authentication for Mercury API.
Use your API token in the Authorization header:
Authorization: Bearer TOKEN
Example:
Authorization: Bearer secret-token:mercury_production_wma_24SCp4G81X3yHL4Wq8FgzuaP9ye3VKf2mgTDctXyRg5HY_yrucrem
Your Mercury API token should include the ‘secret-token:’ prefix. Tokens can be generated from your Mercury dashboard settings.
Request
This endpoint expects an object.
beneficialOwners
partner
about
Information about the business being onboarded.
applicationType
Allowed values:
businessContactDetails
Business contact details for onboarding.
businessLegalAddress
Business address information for onboarding.
businessPhysicalAddress
Business address information for onboarding.
formationDetails
Business formation and incorporation details for onboarding.
inviteEmail
An email address.
webhookURL
Response
onboardingDataId
ID for this saved onboarding data
signupLink
Errors
400
Bad Request Error

